#ifndef MYCONFIGDIALOG_IMPL_H
#define MYCONFIGDIALOG_IMPL_H
#include "MyConfig.h"
#include "../lib/aviplay/RegAccess.h" // very ugly  FIXME

class QListBoxItem;

class MyConfigDialog_impl : public MyConfigDialog
{ 
    Q_OBJECT

    QFont m_defFont;

    // copy of properties

    bool fontchange;
    bool pressed;
    bool inswap;
    QListBoxItem* itemLast;
    float m_fAsync;

public:
    MyConfigDialog_impl( QWidget* parent, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    MyConfigDialog_impl();
    ~MyConfigDialog_impl();
public slots:
    void onApply();
    void onOk();
    void onCancel();
    void onAsyncValChanged(int);
    void onAudioResamplingToggled();
    void onFont();
    void onProxyToggled();
    void onSelectionChanged(QListBoxItem*);
    void onListPressed(QListBoxItem*);
    void onListClicked(QListBoxItem*);
    void onMouseButtonPressed(int, QListBoxItem*, const QPoint&);
};

#endif // MYCONFIGDIALOG_IMPL_H
